Index: src/xm_internal.c
===================================================================
RCS file: /data/cvs/libvirt/src/xm_internal.c,v
retrieving revision 1.32
diff -u -p -r1.32 xm_internal.c
--- src/xm_internal.c	26 Jun 2007 11:42:46 -0000	1.32
+++ src/xm_internal.c	26 Jun 2007 14:27:06 -0000
@@ -46,6 +46,7 @@
 #include "conf.h"
 #include "hash.h"
 #include "internal.h"
+#include "buf.h"
 #include "xml.h"
 
 typedef struct xenXMConfCache *xenXMConfCachePtr;
@@ -579,7 +580,7 @@ int xenXMDomainGetInfo(virDomainPtr doma
  * domain, suitable for later feeding for virDomainCreateLinux
  */
 char *xenXMDomainFormatXML(virConnectPtr conn, virConfPtr conf) {
-    virBufferPtr buf;
+    bufferPtr buf;
     char *xml;
     const char *name;
     unsigned char uuid[VIR_UUID_BUFLEN];
@@ -601,11 +602,11 @@ char *xenXMDomainFormatXML(virConnectPtr
     if (xenXMConfigGetUUID(conf, "uuid", uuid) < 0)
         return (NULL);
 
-    buf = virBufferNew(4096);
+    buf = bufferNew(4096);
 
-    virBufferAdd(buf, "<domain type='xen'>\n", -1);
-    virBufferVSprintf(buf, "  <name>%s</name>\n", name);
-    virBufferVSprintf(buf,
+    bufferAdd(buf, "<domain type='xen'>\n", -1);
+    bufferVSprintf(buf, "  <name>%s</name>\n", name);
+    bufferVSprintf(buf,
                       "  <uuid>%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x</uuid>\n",
                       uuid[0], uuid[1], uuid[2], uuid[3],
                       uuid[4], uuid[5], uuid[6], uuid[7],
@@ -618,10 +619,10 @@ char *xenXMDomainFormatXML(virConnectPtr
 
     if (hvm) {
         const char *boot;
-        virBufferAdd(buf, "  <os>\n", -1);
-        virBufferAdd(buf, "    <type>hvm</type>\n", -1);
+        bufferAdd(buf, "  <os>\n", -1);
+        bufferAdd(buf, "    <type>hvm</type>\n", -1);
         if (xenXMConfigGetString(conf, "kernel", &str) == 0)
-            virBufferVSprintf(buf, "    <loader>%s</loader>\n", str);
+            bufferVSprintf(buf, "    <loader>%s</loader>\n", str);
 
         if (xenXMConfigGetString(conf, "boot", &boot) < 0)
             boot = "c";
@@ -640,77 +641,77 @@ char *xenXMDomainFormatXML(virConnectPtr
                 dev = "hd";
                 break;
             }
-            virBufferVSprintf(buf, "    <boot dev='%s'/>\n", dev);
+            bufferVSprintf(buf, "    <boot dev='%s'/>\n", dev);
             boot++;
         }
 
-        virBufferAdd(buf, "  </os>\n", -1);
+        bufferAdd(buf, "  </os>\n", -1);
     } else {
 
         if (xenXMConfigGetString(conf, "bootloader", &str) == 0)
-            virBufferVSprintf(buf, "  <bootloader>%s</bootloader>\n", str);
+            bufferVSprintf(buf, "  <bootloader>%s</bootloader>\n", str);
         if (xenXMConfigGetString(conf, "bootargs", &str) == 0)
-            virBufferVSprintf(buf, "  <bootloader_args>%s</bootloader_args>\n", str);
+            bufferVSprintf(buf, "  <bootloader_args>%s</bootloader_args>\n", str);
         if (xenXMConfigGetString(conf, "kernel", &str) == 0) {
-            virBufferAdd(buf, "  <os>\n", -1);
-            virBufferAdd(buf, "    <type>linux</type>\n", -1);
-            virBufferVSprintf(buf, "    <kernel>%s</kernel>\n", str);
+            bufferAdd(buf, "  <os>\n", -1);
+            bufferAdd(buf, "    <type>linux</type>\n", -1);
+            bufferVSprintf(buf, "    <kernel>%s</kernel>\n", str);
             if (xenXMConfigGetString(conf, "ramdisk", &str) == 0)
-                virBufferVSprintf(buf, "    <initrd>%s</initrd>\n", str);
+                bufferVSprintf(buf, "    <initrd>%s</initrd>\n", str);
             if (xenXMConfigGetString(conf, "extra", &str) == 0)
-                virBufferVSprintf(buf, "    <cmdline>%s</cmdline>\n", str);
-            virBufferAdd(buf, "  </os>\n", -1);
+                bufferVSprintf(buf, "    <cmdline>%s</cmdline>\n", str);
+            bufferAdd(buf, "  </os>\n", -1);
         }
     }
 
     if (xenXMConfigGetInt(conf, "memory", &val) < 0)
         val = MIN_XEN_GUEST_SIZE * 2;
-    virBufferVSprintf(buf, "  <currentMemory>%ld</currentMemory>\n",
+    bufferVSprintf(buf, "  <currentMemory>%ld</currentMemory>\n",
                       val * 1024);
 
     if (xenXMConfigGetInt(conf, "maxmem", &val) < 0)
         if (xenXMConfigGetInt(conf, "memory", &val) < 0)
             val = MIN_XEN_GUEST_SIZE * 2;
-    virBufferVSprintf(buf, "  <memory>%ld</memory>\n", val * 1024);
+    bufferVSprintf(buf, "  <memory>%ld</memory>\n", val * 1024);
 
 
     if (xenXMConfigGetInt(conf, "vcpus", &val) < 0)
         val = 1;
-    virBufferVSprintf(buf, "  <vcpu>%ld</vcpu>\n", val);
+    bufferVSprintf(buf, "  <vcpu>%ld</vcpu>\n", val);
 
 
     if (xenXMConfigGetString(conf, "on_poweroff", &str) < 0)
         str = "destroy";
-    virBufferVSprintf(buf, "  <on_poweroff>%s</on_poweroff>\n", str);
+    bufferVSprintf(buf, "  <on_poweroff>%s</on_poweroff>\n", str);
 
     if (xenXMConfigGetString(conf, "on_reboot", &str) < 0)
         str = "restart";
-    virBufferVSprintf(buf, "  <on_reboot>%s</on_reboot>\n", str);
+    bufferVSprintf(buf, "  <on_reboot>%s</on_reboot>\n", str);
 
     if (xenXMConfigGetString(conf, "on_crash", &str) < 0)
         str = "restart";
-    virBufferVSprintf(buf, "  <on_crash>%s</on_crash>\n", str);
+    bufferVSprintf(buf, "  <on_crash>%s</on_crash>\n", str);
 
 
     if (hvm) {
-        virBufferAdd(buf, "  <features>\n", -1);
+        bufferAdd(buf, "  <features>\n", -1);
         if (xenXMConfigGetInt(conf, "pae", &val) == 0 &&
             val)
-            virBufferAdd(buf, "    <pae/>\n", -1);
+            bufferAdd(buf, "    <pae/>\n", -1);
         if (xenXMConfigGetInt(conf, "acpi", &val) == 0 &&
             val)
-            virBufferAdd(buf, "    <acpi/>\n", -1);
+            bufferAdd(buf, "    <acpi/>\n", -1);
         if (xenXMConfigGetInt(conf, "apic", &val) == 0 &&
             val)
-            virBufferAdd(buf, "    <apic/>\n", -1);
-        virBufferAdd(buf, "  </features>\n", -1);
+            bufferAdd(buf, "    <apic/>\n", -1);
+        bufferAdd(buf, "  </features>\n", -1);
     }
 
-    virBufferAdd(buf, "  <devices>\n", -1);
+    bufferAdd(buf, "  <devices>\n", -1);
 
     if (hvm) {
         if (xenXMConfigGetString(conf, "device_model", &str) == 0)
-            virBufferVSprintf(buf, "    <emulator>%s</emulator>\n", str);
+            bufferVSprintf(buf, "    <emulator>%s</emulator>\n", str);
     }
 
     list = virConfGetValue(conf, "disk");
@@ -792,19 +793,19 @@ char *xenXMDomainFormatXML(virConnectPtr
                 tmp[0] = '\0';
             }
 
-            virBufferVSprintf(buf, "    <disk type='%s' device='%s'>\n",
+            bufferVSprintf(buf, "    <disk type='%s' device='%s'>\n",
                               block ? "block" : "file",
                               cdrom ? "cdrom" : "disk");
             if (drvType[0])
-                virBufferVSprintf(buf, "      <driver name='%s' type='%s'/>\n", drvName, drvType);
+                bufferVSprintf(buf, "      <driver name='%s' type='%s'/>\n", drvName, drvType);
             else
-                virBufferVSprintf(buf, "      <driver name='%s'/>\n", drvName);
-            virBufferVSprintf(buf, "      <source %s='%s'/>\n", block ? "dev" : "file", src);
-            virBufferVSprintf(buf, "      <target dev='%s'/>\n", dev);
+                bufferVSprintf(buf, "      <driver name='%s'/>\n", drvName);
+            bufferVSprintf(buf, "      <source %s='%s'/>\n", block ? "dev" : "file", src);
+            bufferVSprintf(buf, "      <target dev='%s'/>\n", dev);
             if (!strcmp(head, "r") ||
                 !strcmp(head, "ro"))
-                virBufferAdd(buf, "      <readonly/>\n", -1);
-            virBufferAdd(buf, "    </disk>\n", -1);
+                bufferAdd(buf, "      <readonly/>\n", -1);
+            bufferAdd(buf, "    </disk>\n", -1);
 
         skipdisk:
             list = list->next;
@@ -813,12 +814,12 @@ char *xenXMDomainFormatXML(virConnectPtr
 
     if (hvm && priv->xendConfigVersion == 1) {
         if (xenXMConfigGetString(conf, "cdrom", &str) == 0) {
-            virBufferAdd(buf, "    <disk type='file' device='cdrom'>\n", -1);
-            virBufferAdd(buf, "      <driver name='file'/>\n", -1);
-            virBufferVSprintf(buf, "      <source file='%s'/>\n", str);
-            virBufferAdd(buf, "      <target dev='hdc'/>\n", -1);
-            virBufferAdd(buf, "      <readonly/>\n", -1);
-            virBufferAdd(buf, "    </disk>\n", -1);
+            bufferAdd(buf, "    <disk type='file' device='cdrom'>\n", -1);
+            bufferAdd(buf, "      <driver name='file'/>\n", -1);
+            bufferVSprintf(buf, "      <source file='%s'/>\n", str);
+            bufferAdd(buf, "      <target dev='hdc'/>\n", -1);
+            bufferAdd(buf, "      <readonly/>\n", -1);
+            bufferAdd(buf, "    </disk>\n", -1);
         }
     }
 
@@ -889,16 +890,16 @@ char *xenXMDomainFormatXML(virConnectPtr
                 type = 1;
             }
 
-            virBufferAdd(buf, "    <interface type='bridge'>\n", -1);
+            bufferAdd(buf, "    <interface type='bridge'>\n", -1);
             if (mac[0])
-                virBufferVSprintf(buf, "      <mac address='%s'/>\n", mac);
+                bufferVSprintf(buf, "      <mac address='%s'/>\n", mac);
             if (type == 1 && bridge[0])
-                virBufferVSprintf(buf, "      <source bridge='%s'/>\n", bridge);
+                bufferVSprintf(buf, "      <source bridge='%s'/>\n", bridge);
             if (script[0])
-                virBufferVSprintf(buf, "      <script path='%s'/>\n", script);
+                bufferVSprintf(buf, "      <script path='%s'/>\n", script);
             if (ip[0])
-                virBufferVSprintf(buf, "      <ip address='%s'/>\n", ip);
-            virBufferAdd(buf, "    </interface>\n", -1);
+                bufferVSprintf(buf, "      <ip address='%s'/>\n", ip);
+            bufferAdd(buf, "    </interface>\n", -1);
 
         skipnic:
             list = list->next;
@@ -973,39 +974,39 @@ char *xenXMDomainFormatXML(virConnectPtr
     }
 
     if (vnc) {
-        virBufferVSprintf(buf,
+        bufferVSprintf(buf,
                           "    <graphics type='vnc' port='%ld'",
                           (vncunused ? -1 : 5900+vncdisplay));
         if (vnclisten) {
-            virBufferVSprintf(buf, " listen='%s'", vnclisten);
+            bufferVSprintf(buf, " listen='%s'", vnclisten);
         }
         if (vncpasswd) {
-            virBufferVSprintf(buf, " passwd='%s'", vncpasswd);
+            bufferVSprintf(buf, " passwd='%s'", vncpasswd);
         }
         if (keymap) {
-            virBufferVSprintf(buf, " keymap='%s'", keymap);
+            bufferVSprintf(buf, " keymap='%s'", keymap);
         }
-        virBufferAdd(buf, "/>\n", 3);
+        bufferAdd(buf, "/>\n", 3);
     }
     if (sdl) {
-        virBufferAdd(buf, "    <graphics type='sdl'/>\n", -1);
+        bufferAdd(buf, "    <graphics type='sdl'/>\n", -1);
     }
 
     if (hvm) {
         if (xenXMConfigGetString(conf, "serial", &str) == 0 && !strcmp(str, "pty")) {
-            virBufferAdd(buf, "    <console/>\n", -1);
+            bufferAdd(buf, "    <console/>\n", -1);
         }
     } else { /* Paravirt implicitly always has a console */
-        virBufferAdd(buf, "    <console/>\n", -1);
+        bufferAdd(buf, "    <console/>\n", -1);
     }
 
-    virBufferAdd(buf, "  </devices>\n", -1);
+    bufferAdd(buf, "  </devices>\n", -1);
 
-    virBufferAdd(buf, "</domain>\n", -1);
+    bufferAdd(buf, "</domain>\n", -1);
 
     xml = buf->content;
     buf->content = NULL;
-    virBufferFree(buf);
+    bufferFree(buf);
     return (xml);
 }
 
